Bug 191998 - Review Request: scrip -- spherical coordinate interpolation and remapping package
Review Request: scrip -- spherical coordinate interpolation and remapping pac...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-16 14:49 EDT by Ed Hill
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 15:42:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
use variables on make command line to change compilation defaults (777 bytes, patch)
2006-05-17 09:48 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Ed Hill 2006-05-16 14:49:16 EDT
Spec URL: http://mitgcm.org/eh3/fedora_misc/scrip.spec
SRPM URL: http://mitgcm.org/eh3/fedora_misc/scrip-1.4-3.src.rpm
Description: scrip -- spherical coordinate interpolation and remapping package

This package installs a single binary ("scrip") and a pdf-formatted 
user's manual.  The scrip program calculates remapping weights for 
gridded data sets on the surface of a sphere.  It reads netCDF files 
that contain the grid information and writes netcdf files that contain 
the remapping weights.
Comment 1 Patrice Dumas 2006-05-17 09:44:04 EDT
With the patch, the rpm flags are not acknowledged and the include and 
libdir are hardcoded, so I propose the attaced patch instead. 
Comment 2 Patrice Dumas 2006-05-17 09:48:54 EDT
Created attachment 129318 [details]
use variables on make command line to change compilation defaults
Comment 3 Ed Hill 2006-05-17 11:04:00 EDT
Hi Patrice, that certainly is an improvement -- thank you!  And here are 
the updated files:

  http://mitgcm.org/eh3/fedora_misc/scrip-1.4-4.src.rpm
  http://mitgcm.org/eh3/fedora_misc/scrip.spec
Comment 4 Patrice Dumas 2006-05-17 12:39:20 EDT
* rpmlint is silent
* naming is good
* follow packaging guidelines
* licence acceptable and included
* spec legible
* source match upstream
* everything else is fine
* builds in mock

APPROVED

comments:
* the timestamp of the sources is wrong, I find it better to have
the right timestamp. In general I use spectool to achive that (or
maybe wget -N). 
* the executables in grids/ may be compiled and distributed maybe with
scrip_ prefixed, and in that case the README file may also be added, 
renamed for example README.utils.
* the bugs file could be in %docs
Comment 5 Jason Tibbitts 2006-05-17 13:08:20 EDT
Did anyone notice that the license is not BSD as indicated in the spec?  I
believe it is free according to the Open Source Definition, but the text
certainly does not resemble the BSD license text and the derivative works clause:

If SOFTWARE is modified to produce derivative works, such modified SOFTWARE
should be clearly marked, so as not to confuse it with the version available
from Los Alamos National Laboratory.

is not present in the BSD license.
Comment 6 Ed Hill 2006-05-17 13:26:27 EDT
Hi Jason, you're right that its not exactly BSD.  It does appear to be 
sufficiently "open" in that it allows modification, redistribution, 
sale, etc.  So I think the licesnse terms are perfectly acceptable for 
inclusion in FE.  The only question that remains is "what should we call 
the license?"

I'll be happy to change the license name in the spec before it gets built 
and pushed (it was just imported).  What would you folks like to call it?  
Woiuld the "SCRIP License" be OK?
Comment 7 Jason Tibbitts 2006-05-17 15:00:31 EDT
I don't think it corresponds to any existing license, but I agree that it's
certainly free enough.  (Item 4 of the Open Source Definition allows requiring
the marking or renaming of derivative works.)

Are there other packages which use the same license?  If not, "SCRIP License" is
probably fine but you'll have to endure the rpmlint warning.
Comment 8 Ed Hill 2006-05-17 15:42:30 EDT
Hi Patrice and Jason, thank you for the patch and speedy reviews!  I've 
incorporated almost all of your changes and will, as soon as I get some 
more free time, add the SCRIP/grids and namelist files.

The package built successfully on devel and FC-4/5 branches have been 
requested.

Thanks again!

Note You need to log in before you can comment on or make changes to this bug.